/* Hero section */
#hero {
    font-family: "Roboto", system-ui, -apple-system, sans-serif;
    
    min-height: 100dvh;
    overflow: clip;
    position: relative;
    isolation: isolate;
}
#hero::after {
    content: "";
    position: absolute;
    inset: 0;

    background: linear-gradient(
        to right,
        hsla(225, 21%, 7%, 0.95),
        hsla(225, 21%, 7%, 0.65)
    );

    z-index: -1;
}

#hero picture.back-gr {
    position: absolute;
    inset: 0;
    z-index: -1;
}
#hero picture.back-gr img {
    min-width: 100%;
    min-height: 100%;
}

#hero .hero-inner {
    padding-block: 15rem 7.5rem;

    display: grid;
    gap: 3rem;
}

#hero .hero-inner h1 {
    max-width: 18ch;

    font-size: 7.2rem;
    line-height: 1.25;
    font-style: italic;
    text-transform: uppercase;
    color: var(--font-col-600);
    margin-bottom: 1.5rem;
}

#hero .hero-inner p {
    max-width: 80ch;

    font-size: 2rem;
    font-weight: 500;
    line-height: 1.5;
    color: var(--font-col-400);

    text-align: justify;
}

#hero .hero-inner ul {
    list-style: none;

    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(min(22.5rem, 100%), 1fr));
    gap: 2rem;
}

#hero .hero-inner ul li strong {
    display: block;
    font-size: 3rem;
    font-weight: 700;
    color: var(--yellow);
}
#hero .hero-inner ul li small {
    font-size: 1.4rem;
    color: var(--font-col-300);
}

#hero .hero-inner .buttons {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 1.5rem;
}

/* Quote */

.quote {
    padding-block: 8rem;
}

.quote .-main-box {
    display: grid;
    grid-template-columns: 1fr 1fr;
    
    border: 1px solid var(--border-col);
    border-radius: 1.6rem;
    overflow: clip;
}
.quote picture {
    width: 100%;
    height: 100%;
    aspect-ratio: 1;
    
    display: flex;
    align-items: center;
    justify-content: center;
    
    overflow: hidden;
}
.quote picture img {
    height: 100%;
    /* object-fit: scale-down; */
    object-position: center;
}

.quote .quote-text {
    padding: 4.8rem;

    display: flex;
    flex-direction: column;
    gap: 2.4rem;
}
.quote .quote-text .-quotes {
    width: 4.8rem;
}

.quote .quote-text p {
    flex: 1;

    font-size: 2rem;
    color: var(--font-col-400);
    line-height: 1.5;

    border-bottom: 1px solid var(--border-col);
    padding-bottom: 2rem;
}

.quote .quote-text .person {
    display: flex;
    align-items: center;
    gap: 1.4rem;
}

.quote .quote-text .person .-emp {
    width: 5.6rem;
}
.quote .quote-text .person .-emp span {
    font-size: 1.8rem;
    font-weight: 700;
    color: var(--yellow);
}

.quote .quote-text .person dt {
    font-size: 1.6rem;
    font-weight: 700;
    color: var(--font-col-600);

    margin-bottom: 5px;
}
.quote .quote-text .person dd {
    font-size: 1.4rem;
    color: var(--font-col-300);
    & a {
        font-size: inherit;
        color: var(--yellow);
    }
}


/* Introducing */

#introducing p {
    font-size: 1.8rem;
    font-weight: 500;
    line-height: 1.65;
    color: var(--font-col-400);
}

#introducing ul {
    list-style: none;

    padding: 3.2rem;

    display: grid;
    gap: 1rem;

    background-color: var(--main-col1);

    border: 1px solid var(--border-col);
    border-radius: 1.6rem;

    position: relative;
    isolation: isolate;
}

#introducing ul li {
    padding: 1.3rem;

    display: flex;
    align-items: center;
    gap: 1.4rem;

    background-color: var(--main-col2);

    border: 1px solid var(--border-col);
    border-radius: 5px;

    transition: transform 0.5s;
}
#introducing ul li span {
    font-size: 1.6rem;
    color: var(--font-col-400);
}

#introducing ul:hover li {
    transform: translateY(calc(-95% * var(--index)));
}

#introducing ul svg#bg-truck {
    position: absolute;
    
    width: 70%;
    height: 70%;

    left: 50%; bottom: 0;
    transform: translateX(-50%);

    color: var(--yellow);
    opacity: 0.2;

    z-index: -1;
}

/* Seller portal cards */

#sellerPortal .-main-box {
    align-items: normal;
}

#sellerPortal .card {
    --bk: var(--yellow);
    --bd: var(--yellow);
    --c: #000;

    padding: 4rem;

    display: grid;
    justify-items: start;
    gap: 2.4rem;

    background-color: var(--bk);
    border: 2px solid var(--yellow);
    border-radius: 1.6rem;
}

#sellerPortal .card h3 {
    font-size: 3rem;
    font-weight: 500;
    font-style: italic;
    line-height: 1.2;
    text-transform: uppercase;
    color: var(--c);
}
#sellerPortal .card p {
    font-size: 1.8rem;
    line-height: 1.65;
    color: hsla(from var(--c) h s l / 0.75);
}
#sellerPortal .card ul {
    list-style: none;
    width: 100%;

    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(25rem, 1fr));
    gap: 1.6rem;
}
#sellerPortal .card ul li {
    padding: 1.2rem;

    display: flex;
    align-items: center;
    gap: 1.2rem;

    background-color: hsla(from var(--bk) h calc(s - 15) l);
    border: 1px solid var(--bd);
    border-radius: 6px;
}

#sellerPortal .card ul li svg {
    width: 20px;
    min-width: 20px;
    height: 20px;
    min-height: 20px;
    color: var(--c);
}
#sellerPortal .card ul li span {
    font-size: 1.4rem;
    color: var(--c);
}

#sellerPortal .right {
    --bk: var(--main-col2);
    --bd: var(--border-col);
    --c: var(--font-col-600);
}
#sellerPortal .card.right ul li svg {
    color: var(--yellow);
}

/* Quote Akif */

.quote.akif {
    background-color: var(--main-col2);
}
.quote.akif .quote-text {
    background-color: var(--main-col1);
}
.quote.akif picture {
    aspect-ratio: 1.8 / 1;
}

/* Why we */

#whyWe ul {
    list-style: none;
    grid-template-columns: repeat(auto-fit, minmax(38.5rem, 1fr));
    align-items: normal;
    gap: 3.2rem;
}
#whyWe ul li {
    padding: 3.2rem;

    display: grid;
    align-items: start;
    gap: 2.4rem;

    background-color: var(--main-col2);
    border: 1px solid var(--border-col);
    border-radius: 1.6rem;

    cursor: pointer;
}
#whyWe ul li:hover {
    border-color: var(--yellow);
    & .strong-ico {
        --c: #27cd27;
        border-radius: 50%;
    }
}

#whyWe ul li .strong-ico {
    width: 5.6rem;
}
#whyWe ul li .strong-ico svg {
    --d: 28px;
}

#whyWe ul li h3 {
    max-width: 24ch;

    font-size: 2rem;
    line-height: 1.25;
    color: var(--font-col-600);
    text-transform: uppercase;

    text-wrap: balance;
}
#whyWe ul li p {
    font-size: 1.6rem;
    line-height: 1.65;
    color: var(--font-col-300);
    text-align: justify;
    hyphens: auto;
}


/* Get Started */

#getStarted > .text {
    text-align: center;
}

#getStarted ol {
    list-style: none;

    grid-template-columns: repeat(auto-fit, minmax(28.5rem, 1fr));
    align-items: start;
    gap: 3.2rem;

    counter-reset: item;
}

#getStarted ol li {
    counter-increment: item;

    display: grid;
    gap: 2.4rem;

    position: relative;
    isolation: isolate;
}
#getStarted ol li::before {
    margin-inline: auto;
    content: counter(item);

    width: 6.4rem;
    aspect-ratio: 1;

    font-size: 3rem;
    font-weight: 500;

    display: flex;
    align-items: center;
    justify-content: center;

    background-color: var(--yellow);
    border-radius: 6px;
}

#getStarted ol li .step-card {
    padding: 2.4rem;
    
    display: grid;
    gap: 1.2rem;
    
    background-color: var(--main-col1);
    border: 1px solid var(--border-col);
    border-radius: 1.6rem;
}

#getStarted ol li b {
    font-size: 1.4rem;
    font-weight: 500;
}
#getStarted ol li h3 {
    font-size: 2rem;
    font-weight: 500;
    font-style: italic;
    color: var(--font-col-600);
    text-transform: uppercase;
}
#getStarted ol li p {
    font-size: 1.6rem;
    line-height: 1.65;
    color: var(--font-col-300);
    text-align: justify;
    hyphens: auto;
}

/* Boost */

#boost .-main-box {
    border: 2px solid var(--yellow);
}
#boost .quote-text {
    align-items: start;
    background-color: var(--main-col2);
}
#boost .quote-text p {
    font-size: 1.8rem;
    text-align: justify;
    hyphens: auto;
    border: unset;
    padding-bottom: unset;
}

#boost h2 {
    text-align: left;
}

/* READY TO TRANSFORM YOUR FULFILLMENT? */
#transform {
    padding-block: 8rem;
    background-color: var(--main-col2);
}
#transform .-main-box {
    display: grid;
    justify-items: center;
    gap: 4rem;
}
#transform h2 {
    font-size: 4.8rem;
}
#transform p {
    max-width: 65ch;

    font-size: 2rem;
    line-height: 1.625;
    color: var(--font-col-600);
    text-align: center;
}
#transform .buttons {
    display: flex;
    align-items: center;
    gap: 1.2rem;
}
#transform ul {
    list-style: none;
    width: 100%;

    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    gap: 2.4rem;
}
#transform ul li {
    width: min(20.5rem, 100%);
    padding: 2.4rem 3.6rem;

    display: grid;
    place-items: center;
    gap: 1.2rem;

    background-color: var(--main-col1);
    border: 1px solid var(--border-col);
    border-radius: 6px;
}

#transform ul li strong {
    font-size: 3rem;
    font-weight: 700;
    color: var(--yellow);
}
#transform ul li span {
    font-size: 1.4rem;
    color: var(--font-col-300);
    text-transform: uppercase;
}


@media (max-width: 1100px) {
    .quote .-main-box {
        grid-template-columns: 1fr;
    }
    .quote picture {
        max-height: 65dvh;
    }
}